StructuredBuffer<uint> ObjectHitBuffer;
AppendStructuredBuffer<uint> RWFilteredBuffer : BACKBUFFER;

[numthreads(64, 1, 1)]
void CS( uint3 i : SV_DispatchThreadID)
{ 
	uint hitcount = ObjectHitBuffer[i.x];
	
	if (hitcount > 0)
	{
		RWFilteredBuffer.Append(i.x);
	}
}

technique11 Process
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS() ) );
	}
}


